---
title: type
slug: Web/SVG/Attribute/type
tags:
  - NeedsCompatTable
  - NeedsExample
  - SVG
  - SVG Attribute
  - filter
---
<div>{{SVGRef}}</div>

<p>The <code>type</code> attribute is a generic attribute and it has different meaning based on the context in which it's used.</p>

<ul>
 <li>For the {{SVGElement("animateTransform")}} element, it defines the type of transformation, whose values change over time.</li>
 <li>For the {{SVGElement("feColorMatrix")}} element, it indicates the type of matrix operation. The keyword <code>matrix</code> indicates that a full 5x4 matrix of values will be provided. The other keywords represent convenience shortcuts to allow commonly used color operations to be performed without specifying a complete matrix.</li>
 <li>For the {{SVGElement("feFuncR")}}, {{SVGElement("feFuncG")}}, {{SVGElement("feFuncB")}}, and {{SVGElement("feFuncA")}} elements, it Indicates the type of component transfer function.</li>
 <li>For the {{SVGElement("feTurbulence")}} element, it indicates whether the filter primitive should perform a noise or turbulence function.</li>
 <li>For the {{SVGElement("style")}} and {{SVGElement("script")}} elements, it defines the content type of the element.</li>
</ul>

<h2 id="Usage_context">Usage context</h2>

<h3 id="For_the_SVGElement(animateTransform)_elements">For the {{SVGElement("animateTransform")}} elements</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Categories</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td><strong><code>translate</code></strong> | <code>scale</code> | <code>rotate</code> | <code>skewX</code> | <code>skewY</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a class="external" href="http://www.w3.org/TR/SVG11/animate.html#AnimateTransformElementTypeAttribute">SVG 1.1 (2nd Edition)</a></td>
  </tr>
 </tbody>
</table>

<h3 id="For_the_SVGElement(feColorMatrix)_element">For the {{ SVGElement("feColorMatrix") }} element</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Categories</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td><strong><code>matrix</code></strong> | <code>saturate</code> | <code>hueRotate</code> | <code>luminanceToAlpha</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a href="http://www.w3.org/TR/SVG11/filters.html#feColorMatrixTypeAttribute" rel="external" title="http://www.w3.org/TR/SVG11/filters.html#feColorMatrixTypeAttribute"><span class="external">SVG 1.1 (2nd Edition)</span></a></td>
  </tr>
 </tbody>
</table>

<h3 id="For_the_SVGElement(feFuncR)_SVGElement(feFuncG)_SVGElement(feFuncB)_and_SVGElement(feFuncA)_elements">For the {{ SVGElement("feFuncR") }}, {{ SVGElement("feFuncG") }}, {{ SVGElement("feFuncB") }}, and {{ SVGElement("feFuncA") }} elements</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Categories</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td><code>identity</code> | <code>table</code> | <code>discrete</code> | <code>linear</code> | <code>gamma</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a href="http://www.w3.org/TR/SVG11/filters.html#feComponentTransferTypeAttribute" rel="external" title="http://www.w3.org/TR/SVG11/filters.html#feComponentTransferTypeAttribute"><span class="external">SVG 1.1 (2nd Edition)</span></a></td>
  </tr>
 </tbody>
</table>

<h3 id="For_the_SVGElement(feTurbulence)_element">For the {{ SVGElement("feTurbulence") }} element</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Categories</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td><code>fractalNoise</code> | <strong><code>turbulence</code></strong></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a href="http://www.w3.org/TR/SVG11/filters.html#feTurbulenceTypeAttribute" rel="external" title="http://www.w3.org/TR/SVG11/filters.html#feTurbulenceTypeAttribute"><span class="external">SVG 1.1 (2nd Edition)</span></a></td>
  </tr>
 </tbody>
</table>

<h3 id="For_the_SVGElement(style)_and_SVGElement(script)_elements">For the {{ SVGElement("style") }} and {{SVGElement("script")}} elements</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Categories</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td>&lt;content-type&gt;</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a href="http://www.w3.org/TR/SVG11/script.html#ScriptElementTypeAttribute" rel="external" title="http://www.w3.org/TR/SVG11/script.html#ScriptElementTypeAttribute"><span class="external">SVG 1.1 (2nd Edition) : script</span></a><br>
    <a href="http://www.w3.org/TR/SVG11/styling.html#StyleElementTypeAttribute" rel="external" title="http://www.w3.org/TR/SVG11/styling.html#StyleElementTypeAttribute">SVG 1.1 (2nd Edition) : style</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<h2 id="Elements">Elements</h2>

<p>The following elements can use the <code>values</code> attribute</p>

<ul>
 <li>{{SVGElement("animateTransform")}}</li>
 <li>{{SVGElement("feColorMatrix")}}</li>
 <li>{{SVGElement("feFuncA")}}</li>
 <li>{{SVGElement("feFuncB")}}</li>
 <li>{{SVGElement("feFuncG")}}</li>
 <li>{{SVGElement("feFuncR")}}</li>
 <li>{{SVGElement("feTurbulence")}}</li>
 <li>{{SVGElement("script")}}</li>
 <li>{{SVGElement("style")}}</li>
</ul>
